Page MenuHomePhabricator

Create internal setting to allow read more to pull from related articles api only
Closed, ResolvedPublic1 Story Points

Description

Via config change make it possible to turn on or off the edit via wikitext field for read more.

The plan is to launch with the feature pulling from the API only. If there is a strong desire for it, we can explore a wikitext override.

If we do this, then we must ensure that this flag is disabled on Wikivoyage.

Event Timeline

JKatzWMF created this task.Nov 2 2015, 5:28 PM
JKatzWMF raised the priority of this task from to Needs Triage.
JKatzWMF updated the task description. (Show Details)
JKatzWMF moved this task to Sprint 60: 8 on the Reading-Web-Planning board.
JKatzWMF added a subscriber: JKatzWMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 2 2015, 5:28 PM
Jdlrobson set Security to None.Nov 2 2015, 5:35 PM
Jdlrobson edited a custom field.
Jdlrobson edited a custom field.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 6 2015, 7:26 PM
phuedx added a subscriber: phuedx.Nov 9 2015, 5:56 PM

If we do this, then we must ensure that this flag is disabled on Wikivoyage.

phuedx updated the task description. (Show Details)Nov 9 2015, 5:58 PM
KLans_WMF edited a custom field.Nov 9 2015, 5:59 PM
phuedx claimed this task.Nov 11 2015, 3:29 PM
phuedx moved this task from To Do to Doing on the Reading Web Sprint 60 - Boom Headshot! board.

Change 252438 had a related patch set uploaded (by Phuedx):
Optionally disable Read More using extension data

https://gerrit.wikimedia.org/r/252438

@JKatzWMF: I think you may have explained/expounded upon this task in the kickoff meeting but could also comment here or update the description too.

Change 252438 merged by jenkins-bot:
Optionally disable Read More using extension data

https://gerrit.wikimedia.org/r/252438

Forgot to mention, when I moved this to 'Ready for Singoff', that we need to create a patch to disable this feature in WikiVoyage.

... 'Ready for Singoff' ...

Is that like The X Factor or America's Got Talent but for Phabricator tasks? The X Phabricator?

phuedx closed this task as Resolved.Nov 23 2015, 2:48 PM